import { userApply } from "../../service/user";
import { alertInfo, alertSuccess } from "../../utils/index";
import request from '../../utils/request'
const { OK } = request;
// pages/apply/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: "",
    name: "",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const querys = decodeURIComponent(options.scene)
    const { id, name } = querys;
    this.setData({ id, name })
  },
  exit() {
    wx.exitMiniProgram()
  },
  async join() {
    const { id } = this.data;
    const { code, message, data } = await userApply({ id })
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    alertSuccess("加入成功")
    const { token, ...currentUser } = data;
    wx.setStorageSync('user', currentUser)
    wx.setStorageSync('token', token)
    setTimeout(() => {
      wx.switchTab({
        url: '/pages/home/index',
      })
    }, 500)
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})